www.cendio.com
Bug 5530 - more logging on session shutdown reason
: more logging on session shutdown reason
Status: CLOSED FIXED
: ThinLinc
VSM Agent
: pre-1.0
: PC Unknown
: P2 Normal
: 4.5.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2015-05-13 13:23 by
Modified: 2015-09-25 14:01 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2015-05-13 13:23:08
Right now we have little to no logging from Xvnc and tl-xinit when a session
ends. It would be nice if they were at least verbose enough to see if we are
terminating because of a crash, an external signal, logout, etc.
------- Comment #1 From cendio 2015-05-13 13:25:04 -------
For reference, Xorg finishes its log output with:

> (EE) Server terminated successfully (0). Closing log file.
------- Comment #2 From cendio 2015-05-19 10:42:15 -------
tl-run-profile might also need some more logging.
------- Comment #3 From cendio 2015-09-01 13:31:48 -------
(In reply to comment #1)
> For reference, Xorg finishes its log output with:
> 
> > (EE) Server terminated successfully (0). Closing log file.

This isn't really true anymore as modern distributions have also switched over
to letting Xorg log to stderr. At that point there is no final output when it
terminates.

Might be better to handle this from tl-xinit.
------- Comment #7 From cendio 2015-09-01 14:18:39 -------
All done.

Tester should check:

 - Final log line from tl-xinit
 - Exit code from profile command
 - That tl-xinit logs whenever the client or X server exits. This can be a
normal exit, or a signal. Note that Xvnc grabs many signals and cleanly
terminates.
 - That tl-xinit logs when it is asked to terminate via a signal (i.e. kill
session).
------- Comment #8 From cendio 2015-09-02 10:51:31 -------
(In reply to comment #7)
> All done.
> 
> Tester should check:
> 
>  - Final log line from tl-xinit
>  - Exit code from profile command
>  - That tl-xinit logs whenever the client or X server exits. This can be a
> normal exit, or a signal. Note that Xvnc grabs many signals and cleanly
> terminates.
>  - That tl-xinit logs when it is asked to terminate via a signal (i.e. kill
> session).

Verified commits and the above test cases using build 4868.

No problems found.